Search documentation of ash

# mix ash.gen.enum (ash v3.4.71)

View Source

Generates an Ash.Type.Enum

## Example

    mix ash.gen.enum MyApp.Support.Ticket.Types.Status open,closed --short-name ticket_status

## Options

- `--short-name`, `-s`: Register the type under the provided shortname, so it can be referenced like `:short_name` instead of the module name.
- `--ignore-if-exists` - Does nothing if the resource already exists